Bug 6458 - Please add 2 patches to Steam (fixes for Valve's issues #3273 and #3570)
: Please add 2 patches to Steam (fixes for Valve's issues #3273 and #3570)
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 17:52 MSK by Eugene Shatokhin
Modified: 2015-12-28 23:10 MSK (History)
2 users (show)

See Also:
RPM Package: steam
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
Patch for Valve's Steam issue #3570 (345 bytes, patch)
2015-12-15 17:52 MSK, Eugene Shatokhin
Details
Patch for Valve's Steam issue #3273 (555 bytes, patch)
2015-12-15 17:52 MSK, Eugene Shatokhin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2015-12-15 17:52:11 MSK
Created attachment 4315 [details]
Patch for Valve's Steam issue #3570
Comment 1 Eugene Shatokhin 2015-12-15 17:52:58 MSK
Created attachment 4316 [details]
Patch for Valve's Steam issue #3273
Comment 2 Eugene Shatokhin 2015-12-15 17:54:45 MSK
The patches fix the following problems:

https://github.com/ValveSoftware/steam-for-linux/issues/3570

https://github.com/ValveSoftware/steam-for-linux/issues/3273
The second one was also reported here as http://bugs.rosalinux.ru/show_bug.cgi?id=5000.
Comment 3 Eugene Shatokhin 2015-12-15 17:55:48 MSK
The patches are from Fedora (rpmfusion non-free).
Comment 4 Denis Silakov 2015-12-23 13:58:44 MSK
Advisory:
Added workarounds for steam files conflicting with system ones (upstream bugs #3570 and #3273)

Build lists:
https://abf.io/build_lists/2609332
Comment 5 Vladimir Potapov 2015-12-24 20:21:48 MSK
The update is sent to expanded testing
**************************************
Comment 6 Vladimir Potapov 2015-12-28 21:31:03 MSK
steam-1.0.0.51-2
https://abf.io/build_lists/2609332
************************** Advisory ***********************
Added workarounds for steam files conflicting with system ones (upstream bugs #3570 and #3273)
***********************************************************
QA Verified